/*!
 * Copyright 2019 EPAM Systems
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.history-line-item-content {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 30px;
  width: 100%;
  text-align: center;
  cursor: pointer;

  &:before {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    left: 10px;
  }
}

.first-item:before {
  left: 0;
}

.last-item .item-block-bg:before {
  display: none;
}

.item-block-bg {
  position: absolute;
  left: 2px;
  right: -10px;
  top: 0;
  bottom: 0;
  overflow: hidden;

  &:before {
    content: '';
    position: absolute;
    right: 0;
    top: -5px;
    display: block;
    border-top: 20px solid transparent !important;
    border-bottom: 20px solid transparent !important;
    border-right: 3px solid transparent !important;
    border-left: 8px solid transparent;
    box-sizing: border-box;
  }

  &:after {
    content: '';
    position: absolute;
    left: 0;
    top: -5px;
    display: block;
    border-left: 8px solid transparent !important;
    border-right: 3px solid transparent;
    border-top: 20px solid transparent;
    border-bottom: 20px solid transparent;
    box-sizing: border-box;
  }
}

.status-FAILED,
.status-STOPPED,
.status-INTERRUPTED {
  &:before {
    background-color: $COLOR--blush;
  }
  .item-block-bg:before,
  .item-block-bg:after {
    border-color: $COLOR--blush;
  }
}

.status-UNTESTED {
  &:before {
    background-color: $COLOR--steel-grey;
  }

  .item-block-bg:before,
  .item-block-bg:after {
    border-color: $COLOR--steel-grey;
  }
}

.status-RUNNING {
  &:before {
    background-color: $COLOR--violet;
  }

  .item-block-bg:before,
  .item-block-bg:after {
    border-color: $COLOR--violet;
  }
}

.status-PASSED {
  &:before {
    background-color: $COLOR--greenish-grey;
  }

  .item-block-bg:before,
  .item-block-bg:after {
    border-color: $COLOR--greenish-grey;
  }
}

.status-SKIPPED {
  &:before {
    background-color: $COLOR--silver;
  }
  .item-block-bg:before,
  .item-block-bg:after {
    border-color: $COLOR--silver;
  }
}

.status-RESETED {
  &:before {
    background-color: $COLOR--white;
  }
  .item-block-bg:before,
  .item-block-bg:after {
    border-color: $COLOR--white;
  }
}

.status-NOT_FOUND {
  cursor: default;
  &:before {
    background-color: $COLOR--white;
  }
  .item-block-bg:before,
  .item-block-bg:after {
    border-color: $COLOR--white;
  }
}

.status-IN_PROGRESS {
  cursor: default;
  &:before {
    background-color: $COLOR--violet;
  }
  .item-block-bg:before,
  .item-block-bg:after {
    border-color: $COLOR--violet;
  }
}

.active {
  cursor: default;
  &:before {
    top: -3px;
    bottom: -3px;
  }
  .item-block-bg {
    top: -3px;
    bottom: -3px;
    &:before {
      top: -2px;
    }
    &:after {
      top: -2px;
    }
  }

  &.status-FAILED,
  &.status-STOPPED,
  &.status-INTERRUPTED {
    &:before {
      background-color: $COLOR--orangish;
    }
    .item-block-bg:before,
    .item-block-bg:after {
      border-color: $COLOR--orangish;
    }
  }

  .status-UNTESTED {
    &:before {
      background-color: $COLOR--steel-grey;
    }

    .item-block-bg:before,
    .item-block-bg:after {
      border-color: $COLOR--steel-grey;
    }
  }

  .status-RUNNING {
    &:before {
      background-color: $COLOR--violet;
    }

    .item-block-bg:before,
    .item-block-bg:after {
      border-color: $COLOR--violet;
    }
  }

  &.status-PASSED {
    &:before {
      background-color: $COLOR--passed;
    }

    .item-block-bg:before,
    .item-block-bg:after {
      border-color: $COLOR--passed;
    }
  }

  &.status-SKIPPED {
    &:before {
      background-color: $COLOR--skipped;
    }
    .item-block-bg:before,
    .item-block-bg:after {
      border-color: $COLOR--skipped;
    }
  }

  &.status-RESETED {
    &:before {
      background-color: $COLOR--white;
    }
    .item-block-bg:before,
    .item-block-bg:after {
      border-color: $COLOR--white;
    }
  }

  &.status-NOT_FOUND {
    &:before {
      background-color: $COLOR--white;
    }
    .item-block-bg:before,
    .item-block-bg:after {
      border-color: $COLOR--white;
    }
  }
}
